Bug 498384 - lcdproc init scripts errors: "stop: missing job name" and "return: can only `return' from a function or sourced script"
lcdproc init scripts errors: "stop: missing job name" and "return: can only `...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lcdproc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 04:35 EDT by MartinG
Modified: 2009-05-20 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.5.2-12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 19:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MartinG 2009-04-30 04:35:55 EDT
A plain install of lcdproc, followed by a "service lcdproc start" does not give the user any clue on what is needed to get this up and running. Instead of a simple "exit 6" in the init scripts when config files are missing, I suggest giving a simple tip about what the user needs to do (ie. copy /etc/sysconfig/*.conf.example to *.conf and customize).

However, even when that is done, this is what I get on my system (Fedora Rawhide, fully updated):

# ll /etc/sysconfig/lcdproc/*.conf
-rw-r--r-- 1 root root  2115 2009-04-28 10:34 /etc/sysconfig/lcdproc/lcdproc.conf
-rw-r--r-- 1 root root 25292 2009-04-28 10:36 /etc/sysconfig/lcdproc/LCDd.conf
# service LCDd status
LCDd is stopped
# service lcdproc status
lcdproc is stopped
# service LCDd start
Starting LCDd:                                             [  OK  ]
/etc/init.d/LCDd: line 50: return: can only `return' from a function or sourced script
# service lcdproc start
Starting lcdproc:                                          [  OK  ]
/etc/init.d/lcdproc: line 49: return: can only `return' from a function or sourced script

Also, if I use "restart":

# service LCDd restart
stop: missing job name
Try `stop --help' for more information.
start: missing job name
Try `start --help' for more information.
# service lcdproc restart
stop: missing job name
Try `stop --help' for more information.
start: missing job name
Try `start --help' for more information.


But "--full-restart" sort of works:
# service LCDd --full-restart
Shutting down LCDd:                                        [  OK  ]
/etc/init.d/LCDd: line 58: return: can only `return' from a function or sourced script
Starting LCDd:                                             [  OK  ]
/etc/init.d/LCDd: line 50: return: can only `return' from a function or sourced script

The good thing is that the imon driver now works, and the lcd screen on my Antec Fusion 430 does work.

The lcdproc.conf and LCDd.conf files are parsed and I can enable/disable screens.

Version-Release number of selected component (if applicable):
# rpm -q lcdproc
lcdproc-0.5.2-11.fc11.x86_64
Comment 1 MartinG 2009-04-30 04:39:46 EDT
I do have the init functions here:
# ll /etc/rc.d/init.d/functions
-rw-r--r--. 1 root root 13008 2009-04-07 17:52 /etc/rc.d/init.d/functions
Comment 2 Fedora Update System 2009-05-13 12:55:54 EDT
lcdproc-0.5.2-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lcdproc-0.5.2-12.fc11
Comment 3 Fedora Update System 2009-05-13 12:56:35 EDT
lcdproc-0.5.2-12.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcdproc-0.5.2-12.fc10
Comment 4 Fedora Update System 2009-05-13 12:57:34 EDT
lcdproc-0.5.2-12.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lcdproc-0.5.2-12.fc9
Comment 5 Fedora Update System 2009-05-15 19:30:26 EDT
lcdproc-0.5.2-12.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update lcdproc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5012
Comment 6 Fedora Update System 2009-05-15 19:31:05 EDT
lcdproc-0.5.2-12.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcdproc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5016
Comment 7 Fedora Update System 2009-05-15 19:31:18 EDT
lcdproc-0.5.2-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lcdproc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5017
Comment 8 Fedora Update System 2009-05-20 19:57:33 EDT
lcdproc-0.5.2-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-20 19:58:18 EDT
lcdproc-0.5.2-12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-20 20:02:11 EDT
lcdproc-0.5.2-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.